<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class EmployerResetOtpMail extends Mailable
{
    use Queueable, SerializesModels;

    public $otp;
    public $employerName;

    /**
     * Create a new message instance.
     */
    public function __construct($otp, $employerName)
    {
        $this->otp = $otp;
        $this->employerName = $employerName;
    }

    /**
     * Get the message envelope.
     */
    public function envelope(): Envelope
    {
        return new Envelope(
            subject: 'Password Reset Verification Code: ' . $this->otp,
        );
    }

    /**
     * Get the message content definition.
     */
    public function content(): Content
    {
        return new Content(
            view: 'emails.employer-reset-otp',
        );
    }
}
